%global momorel 1
%global beta_ver 4
%global pre_ver 4

Name:		libmsn
Version:	4.0
Release:	0.%{pre_ver}.%{momorel}m%{?dist}
Group:		System Environment/Libraries
License:	GPLv2
URL:		http://sourceforge.net/projects/libmsn/
Source0:	http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}-beta%{beta_ver}.tar.bz2
NoSource:	0
Patch0:		%{name}-%{version}beta2-rmhardcoded.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	cmake >= 2.6.2
BuildRequires:	openssl-devel
#All other headers seem to be provided by glibc or stdlibc++

Summary:	Library for connecting to the MSN(tm) Messenger service

%description
Libmsn is a reusable, open-source, fully documented library for connecting to
the MSN(tm) Messenger service.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{version}-beta%{beta_ver}
%patch0 -p1

%build
mkdir build
cd build
%{cmake} ..
make

%install
rm -rf %{buildroot}
cd build
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README COPYING THANKS
%{_bindir}/msntest
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/pkgconfig/libmsn.pc
%{_includedir}/*

%changelog
* Sun Feb 15 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0-0.4.1m)
- update to 4.0 beta4

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0-0.2.2m)
- rebuild against rpm-4.6

* Tue Dec 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0-0.2.1m)
- update to 4.0 beta2

* Sat Dec 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0-0.1.1m)
- import from Fedora devel

* Thu Dec 11 2008 John5342 <john5342 at, fedoraproject.org> 4.0-0.3.beta1
- Left docs out of devel package
- Added (tm) to MSN

* Wed Dec 10 2008 John5342 <john5342 at, fedoraproject.org> 4.0-0.2.beta1
- Removed questionable trademarks in description and summary

* Wed Dec 10 2008 John5342 <john5342 at, fedoraproject.org> 4.0-0.1.beta1
- Initial package
